use crate::ncaa::query;
use crate::ncaa::game_info::GameInfo;

use super::common::TEST_GAME_IDS;


#[tokio::test]
async fn test_query_game_info() -> Result<(), reqwest::Error>  {
    // Football
    let mut response: GameInfo;

    // Basketball Mens
    for id in &TEST_GAME_IDS {
        response = query::game_info(&id).await?;
        assert_eq!(response.input_md5.is_empty(), false);
    }

    Ok(())
}